## Apache Zeta Components Manual :: Docs For Class ezcArchiveCallback

### Archive::ezcArchiveCallback

### Class ezcArchiveCallback

Class containing a basic implementation of the callback class to be called through extract.

Source for this file: /Archive/src/interfaces/callback.php

Version: | //autogen//

### Method Summary

public void | `createDirectoryCallback( $dirName , &$permissions , &$userId , &$groupId , $permissions , $userId , $groupId )` Callback that's called for every directory creation.
public void | `createFileCallback( $fileName , &$permissions , &$userId , &$groupId , $permissions , $userId , $groupId )` Callback that's called for every file creation.

### Methods

#### createDirectoryCallback

void createDirectoryCallback( string $dirName , &$permissions , &$userId , &$groupId , int $permissions , string $userId , string $groupId )

Callback that's called for every directory creation.

The callback implementation is allowed to modify the $permissions, $userId and $groupId. The latter two however might not have any effect depending on which user and group the code runs at. You also need to be aware that subsequent files might be put into this directory, and bad things might happen when they can not be created there due to operating system level restrictions.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$dirName` | string |
`$permissions` | int |
`$userId` | string |
`$groupId` | string |
`&$permissions` |  |
`&$userId` |  |
`&$groupId` |  |

#### createFileCallback

void createFileCallback( string $fileName , &$permissions , &$userId , &$groupId , int $permissions , string $userId , string $groupId )

Callback that's called for every file creation.

The callback implementation is allowed to modify the $permissions, $userId and $groupId. The latter two however might not have any effect depending on which user and group the code runs at.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$fileName` | string |
`$permissions` | int |
`$userId` | string |
`$groupId` | string |
`&$permissions` |  |
`&$userId` |  |
`&$groupId` |  |

Documentation generated by phpDocumentor 1.4.3